%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define plugin finegrainedpageauthzeditor
%define svnrev 7774

Name:           trac-%{plugin}-plugin
Version:        0.11
Release:        1.%{svnrev}%{?dist}
Summary:        Allows you to protect Trac wiki pages against access
Group:          Applications/Internet
License:        BSD
URL:            http://trac-hacks.org/wiki/FineGrainedPageAuthzEditorPlugin
# source obtained fro http://trac-hacks.org/changeset/latest/finegrainedpageauthzeditorplugin?old_path=/&filename=finegrainedpageauthzeditorplugin&format=zip
Source0:        %{plugin}plugin-r%{svnrev}.zip
Patch1:		finegrainedpageauthzeditorplugin-writeempty.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       trac, python-setuptools
Requires:	python-configobj

%description
Allows you to protect Trac wiki pages against access

%prep
%setup -n %{plugin}plugin/0.11 -q
%patch1 -p2 -b .writeempty


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
# skip-build doesn't work on el4
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{python_sitelib}/*


%changelog
* Wed May 20 2009 Josko Plazonic <plazonic@math.princeton.edu>
- initial build, used Fedora's trac-ticketdelete-plugin.spec as the base
